{% extends 'layouts/main-habilitation.html' %}

{% load static ac_common %}

{% block title %}Aidants Connect - Impression du mandat{% endblock %}

{% block extracss %}
  <link href="{% static 'css/attestation-translation.css' %}" rel="stylesheet">
{% endblock extracss %}

{% block nav %}

  {% include 'layouts/_skip-links.html' %}
  <header>
    <div class="fr-container">
      <div class="fr-grid-row fr-grid-row--gutters fr-grid-row--middle">
        <div class="fr-col-12 fr-col-md-5">
          <a class="header-logo" href="{% url 'home_page' %}">
            <img width="200" src="{% static 'images/Marianne_logo_1120.png' %}" alt=""/>
            <img width="100" src="{% static 'images/aidants-connect_logo.png' %}" alt="Aidants Connect"/>
          </a>
        </div>
      </div>
    </div>
  </header>
{% endblock nav %}

{% block content %}
  <div
    class="fr-container"
    data-controller="mandate-translation"
    data-mandate-translation-translation-endpoint-value="{% url 'mandate_translation' %}"
    data-mandate-translation-noprint-class="no-print"
  >
    <h1>Projet de mandat traduit</h1>
    <div class="subtitle-container no-print">
      <p class="subtitle fr-col-12 fr-col-md-6">
        Vous trouverez ci-dessous un mandat type pour lequel plusieurs traductions sont disponibles. Les traductions de mandat servent uniquement à expliquer à l’usager ce que c’est qu’un mandat et ses implications. Ces traductions n’ont aucune valeur juridique. Seul le mandat final en français a une valeur juridique valide.
      </p>
      <div class="fr-col-12 fr-col-md-6 print-button-container">
        <div class="shadowed padding-1rem">
          <p>Vous pouvez imprimer ce mandat type en cliquant sur le bouton ci-dessous. Attention, nous vous rappelons que ce mandat n’a aucune valeur juridique. Il est traduit à titre indicatif pour l’usager.</p>
          <button class="primary" data-action="mandate-translation#print">Imprimer</button>
        </div>
      </div>
    </div>

    <header class="mandate-translation-row no-print">
      <h3 class="mandate-translation-column">Version française</h3>
      <section class="mandate-translation-column">
        <label class="h3" for="mandate-translation-lang">Traduire le mandat en :</label>
        <select
          id="mandate-translation-lang"
          data-action="mandate-translation#selectTranslation"
        >
          <option value="">----</option>
          {% for translation in available_translations %}
            <option value="{{ translation.lang }}">{{ translation.lang_name }}</option>
          {% endfor %}
        </select>
      </section>
    </header>

    <p class="subtitle">
      Mandat pour réaliser des démarches en ligne avec le service « Aidants Connect »
    </p>

    <section class="mandate-translation-row">
      <article class="mandate-translation-column mandate-translation-fr-container">
        {% include current_mandat_template %}
      </article>
      <article
        class="mandate-translation-column mandate-translation-other"
        data-mandate-translation-target="translationContainer"
      >
      </article>
    </section>

    <template hidden data-mandate-translation-target="emptyTranslationTpl">
      <div class="empty-translation-container">
        <img src="{% static 'images/translation-logo.svg' %}" alt=""/>
        <h4>D’autres langues sont disponibles</h4>
        <p>
          Retrouvez ici le mandat type en version traduite.
          Sélectionnez une langue dans la liste déroulante ci-dessus.
        </p>
      </div>
    </template>
  </div>
{% endblock content %}

{% block footer %}
  <em class="text-center margin-bottom-1rem">
    Ceci est un mandat-type. Il n’a aucune valeur juridique.
  </em>
{% endblock footer %}

{% block extrajs %}
  {% if available_translations|length > 0 %}
    {% stimulusjs %}
    <script src="{% static 'js/utils.js' %}"></script>
    <script src="{% static 'js/mandate-translation.js' %}"></script>
  {% endif %}
{% endblock %}
